%define name powwow
%define version 1.2.0
%define release 1

Name: %{name}
Summary: A client to play MUDs
Version: %{version}
Release: %{release}
Source: sunsite.unc.edu:/pub/Linux/games/muds/%{name}-%{version}.tar.gz
Patch: %{name}-1.2.0-config.patch
Group: Games
BuildRoot: /tmp/%{name}-%{version}-%{release}-build
Copyright: Public Domain
Packager: Kjetil Wiekhorst Jrgensen <jorgens@zarhan.pvv.org>

%description
A client to play MUDs. It has a lot of features that people commonly
miss with telnet: just to say two, line editing and aliases.
Developed on MUME mud. Too many people contributed to list them all
here.


%prep
rm -rf $RPM_BUILD_ROOT

%setup
%patch -p1

%build
./make_it
make follow CDEFS="$RPM_OPT_FLAGS -DUSETERMIO -DALLOW_REGEXP" LDFLAGS=

%install
mkdir -p $RPM_BUILD_ROOT/usr/games
mkdir -p $RPM_BUILD_ROOT/usr/lib/games
mkdir -p $RPM_BUILD_ROOT/usr/man/man6
install -c -m 755 -o games -g games powwow $RPM_BUILD_ROOT/usr/games/powwow
install -c -m 755 -o games -g games movie $RPM_BUILD_ROOT/usr/games/movie
install -c -m 755 -o games -g games follow $RPM_BUILD_ROOT/usr/games/follow
install -c -m 755 -o games -g games catrw $RPM_BUILD_ROOT/usr/games/catrw
install -c -m 644 -o games -g games powwow.help $RPM_BUILD_ROOT/usr/lib/games/powwow.help
install -c -m 644 powwow.6 $RPM_BUILD_ROOT/usr/man/man6/powwow.6
cd $RPM_BUILD_ROOT/usr/games
ln -sf movie movie_play
ln -sf movie movie2ascii

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README Changelog Config.demo TODO Hacking README.follow
%doc %{name}-%{version}.lsm %{name}.doc COPYING Compile.how README.term
%dir /usr/games
/usr/games/*
/usr/lib/games/powwow.help
%doc /usr/man/man6/powwow.6
